Skip to main content
`Ctrl`+`K`

# proj_plane_pixel_scales

astropy.wcs.utils.proj_plane_pixel_scales(wcs)

  For a WCS returns pixel scales along each axis of the image pixel at the `CRPIX` location once it is projected onto the “plane of intermediate world coordinates” as defined in Greisen & Calabretta 2002, A&A, 395, 1061.

  Note

  This function is concerned only about the transformation “image plane”->”projection plane” and not about the transformation “celestial sphere”->”projection plane”->”image plane”. Therefore, this function ignores distortions arising due to non-linear nature of most projections.

  Note

  In order to compute the scales corresponding to celestial axes only, make sure that the input `WCS` object contains celestial axes only, e.g., by passing in the `celestial` WCS object.

  Parameters:
    wcs `WCS`

      A world coordinate system object.

  Returns:
    scale `ndarray`

      A vector (`ndarray`) of projection plane increments corresponding to each pixel side (axis). The units of the returned results are the same as the units of `cdelt`, `crval`, and `cd` for the celestial WCS and can be obtained by inquiring the value of `cunit` property of the input `WCS` WCS object.

  See also

  `astropy.wcs.utils.proj_plane_pixel_area`